AnsweredAssumed Answered

rolling upgrade error mapr 5.0

Question asked by liaisontqiu on Jul 20, 2015
Latest reply on Jul 20, 2015 by liaisontqiu
I am doing the rolling upgrade based on the document
http://doc.mapr.com/display/MapR/Scripted+Rolling+Upgrades+to+5.0

I got the following error when run upgrade. I did 4.1 rolling upgrade before, and didn't see such error. Anything wrong?

    No JSON object could be decoded
    Traceback (most recent call last):
      File "/opt/mapr-installer/bin/mapr-upgrade.py", line 77, in run
        self.ui = UpgradeUI(**args_dict)
      File "build/bdist.linux-x86_64/egg/installer/ui.py", line 29, in __init__
        self.manifest = DynamicManifest(is_patch = False)
      File "build/bdist.linux-x86_64/egg/installer/manifest.py", line 72, in __init__
        data = json.loads(datastr)
      File "/opt/mapr-installer/build/python/lib/python2.7/json/__init__.py", line 338, in loads
        return _default_decoder.decode(s)
      File "/opt/mapr-installer/build/python/lib/python2.7/json/decoder.py", line 365, in decode
        obj, end = self.raw_decode(s, idx=_w(s, 0).end())
      File "/opt/mapr-installer/build/python/lib/python2.7/json/decoder.py", line 383, in raw_decode
        raise ValueError("No JSON object could be decoded")
    ValueError: No JSON object could be decoded
    Unknown Error: No JSON object could be decoded
    

Outcomes